site:
  code: openstd_samr
  name: 国家标准全文公开系统
  base_url: https://openstd.samr.gov.cn
  role: nation_ref
  cms_adapter: openstd_samr
  adapter_params:
    page_size: 10
    hard_max_pages: 650
    std_type: "1"
    std_type_label: 强制性国家标准
  default_fetch_strategy: httpx
  respect_robots: true
  enabled: true
  remark: 国家标准全文公开系统；先采强制性国家标准元数据，全文下载需验证码，暂不自动采集。

columns:
  - column_id: mandatory_national_standards
    name: 强制性国家标准元数据
    entry_url: https://openstd.samr.gov.cn/bzgk/std/std_list_type?p.p1=1&p.p90=circulation_date&p.p91=desc
    channel_name: 强制性国家标准
    channel_path: 国家标准全文公开系统/强制性国家标准
    content_category: 国家标准
    content_subcategory: 强制性国家标准
    schedule_cron: "20 7 * * *"
    expected_cadence_days: 7
    interval_sec: 2
    interval_jitter_sec: 1
    track_checkpoint: true
    parser_override:
      adapter_params:
        hard_max_pages: 650
        crawl_order: {mode: paged_batch, batch_pages: 1}
        std_type: "1"
        std_type_label: 强制性国家标准
    enabled: true
